// ConvertDlg.cpp : implementation file
//

#include "stdafx.h"
#include "DSP.h"
#include "ConvertDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CConvertDlg dialog


CConvertDlg::CConvertDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CConvertDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CConvertDlg)
	m_SampleRate = 1;
	m_Channels = 0;
	m_SampleSize = 0;
	m_ApplyFilter = FALSE;
	m_Volume = 0;
	m_VolText = _T("0 ");
	//}}AFX_DATA_INIT
}


void CConvertDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CConvertDlg)
	DDX_CBIndex(pDX, IDC_COMBO1, m_SampleRate);
	DDX_Radio(pDX, IDC_CHANNELS, m_Channels);
	DDX_Radio(pDX, IDC_SMPSIZE, m_SampleSize);
	DDX_Check(pDX, IDC_APPLYFILTER, m_ApplyFilter);
	DDX_Slider(pDX, IDC_VOLUME, m_Volume);
	DDX_Text(pDX, IDC_VOLTEXT, m_VolText);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CConvertDlg, CDialog)
	//{{AFX_MSG_MAP(CConvertDlg)
	ON_WM_VSCROLL()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CConvertDlg message handlers

BOOL CConvertDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	
	CComboBox *cb = (CComboBox *)GetDlgItem(IDC_COMBO1);
	CSliderCtrl *sl = (CSliderCtrl *)GetDlgItem(IDC_VOLUME);
	sl->SetRangeMin(0);
	sl->SetRangeMax(60);
	sl->SetTicFreq(4);

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CConvertDlg::OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar) 
{
	// TODO: Add your message handler code here and/or call default
	CSliderCtrl *sl = (CSliderCtrl *)GetDlgItem(IDC_VOLUME);
	char s[10];
	sprintf(s, "%d ", -sl->GetPos());
	SetDlgItemText(IDC_VOLTEXT, s);				
	CDialog::OnVScroll(nSBCode, nPos, pScrollBar);
}
