// MainFrm.h : interface of the CMainFrame class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_MAINFRM_H__35DE45A8_DE56_11D4_B5EF_5254AB134FE2__INCLUDED_)
#define AFX_MAINFRM_H__35DE45A8_DE56_11D4_B5EF_5254AB134FE2__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CMainFrame : public CFrameWnd
{	
protected: // create from serialization only
	CMainFrame();
	DECLARE_DYNCREATE(CMainFrame)
	bool LoadRect(char *regkey, int& x, int& y, int& cx, int& cy);
	void SaveRect(char *regkey, CRect r);

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMainFrame)
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
public:
	CStatusBar  m_wndStatusBar;
	CToolBar    m_wndPlayToolBar;
	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:  // control bar embedded members
	CToolBar    m_wndToolBar;
	CToolBar    m_wndViewToolBar;
	CToolBar    m_wndFilterToolBar;

// Generated message map functions
protected:
	//{{AFX_MSG(CMainFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnViewPlaytoolbar();
	afx_msg void OnViewViewtoolbar();
	afx_msg void OnUpdateViewPlaytoolbar(CCmdUI* pCmdUI);
	afx_msg void OnUpdateViewViewtoolbar(CCmdUI* pCmdUI);
	afx_msg void OnViewFiltertoolbar();
	afx_msg void OnUpdateViewFiltertoolbar(CCmdUI* pCmdUI);
	afx_msg void OnClose();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MAINFRM_H__35DE45A8_DE56_11D4_B5EF_5254AB134FE2__INCLUDED_)
