// HipassDlg.cpp : implementation file
//

#include "stdafx.h"
#include "dsp.h"
#include "HipassDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CHipassDlg dialog


CHipassDlg::CHipassDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CHipassDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CHipassDlg)
	m_ApplyTo = -1;
	m_KernelSize = 512;
	m_WindowType = 0;
	m_Cutoff = 1000;
	m_Freq = _T("");
	//}}AFX_DATA_INIT
}


void CHipassDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CHipassDlg)
	DDX_CBIndex(pDX, IDC_APPLYTO, m_ApplyTo);
	DDX_Text(pDX, IDC_KERNELSIZE, m_KernelSize);
	DDV_MinMaxInt(pDX, m_KernelSize, 16, 1024);
	DDX_Radio(pDX, IDC_WINDOWTYPE, m_WindowType);
	DDX_Text(pDX, IDC_CUTOFF, m_Cutoff);
	DDX_Text(pDX, IDC_STATICFREQ, m_Freq);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CHipassDlg, CDialog)
	//{{AFX_MSG_MAP(CHipassDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CHipassDlg message handlers

BOOL CHipassDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	SetWindowText("  ");
	if (!m_ApplyTo)
	{
		CComboBox *cb = (CComboBox *)GetDlgItem(IDC_APPLYTO);
		cb->DeleteString(1);
	}

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
